Name:           kchmviewer
Version:        3.1
Release:        1%{?dist}.5
Summary:        CHM viewer with KDE support

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://www.kchmviewer.net/
Source0:        http://downloads.sourceforge.net/kchmviewer/kchmviewer-%{version}.tar.gz
# fix the desktop file
Patch0:         kchmviewer-2.0-desktop_fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel chmlib-devel 
BuildRequires:  desktop-file-utils kdelibs-devel

%description
KchmViewer is a chm (MS HTML help file format) viewer, written in C++. 
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget 
library. It is compiled with full KDE support, including KDE widgets 
and KIO/KHTML.


%prep
%setup -q
%patch0 -p1 -b .desktop_fix
chmod -x lib/kio-msits/msits.*


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
[ -n "$QTLIB" ] || export QTLIB="$QTDIR/lib"
[ -n "$QTINC" ] || export QTINC="$QTDIR/include"

%configure --disable-static --with-kde --disable-rpath \
 --disable-dependency-tracking --disable-strict --disable-warnings
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
install -p -m644 src/pics/cr48-app-kchmviewer.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/kchmviewer.png

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applications/kchmviewer.desktop

# remove static libs, they have no interface, libkdeextra is too generic
rm ${RPM_BUILD_ROOT}%{_libdir}/libchmfile.a 
rm ${RPM_BUILD_ROOT}%{_libdir}/libkdeextra.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/crystalsvg || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/crystalsvg || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{_bindir}/kchmviewer
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_libdir}/kde3/kio_msits.so
%{_libdir}/kde3/kio_msits.la
%{_datadir}/services/msits.protocol
%{_datadir}/icons/crystalsvg/*/apps/kchmviewer.png


%changelog
* Thu Aug  2 2007 Patrice Dumas <pertusus@free.fr> 3.1-1.5
- update to 3.1

* Sun Apr  1 2007 Patrice Dumas <pertusus@free.fr> 3.0-2
- update to 3.0

* Fri Feb 16 2007 Patrice Dumas <pertusus@free.fr> 2.7-2
- fixes in desktop file. Fix #229070

* Mon Jan 29 2007 Patrice Dumas <pertusus@free.fr> 2.7-1
- update to 2.7

* Tue Sep 12 2006 Patrice Dumas <pertusus@free.fr> 2.6-2
- rebuild for FC6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 2.6-1
- update to 2.6
- remove upstreamed patch kchmviewer-2.5-iconstorage.h.patch

* Thu May 18 2006 Patrice Dumas <pertusus@free.fr> 2.5-1
- update to 2.5
- patch from Jose Pedro Oliveira (jpo)

* Tue May 16 2006 Patrice Dumas <pertusus@free.fr> 2.0-4
- remove the old menu entry file from /usr/share/applnk/

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-3
- use update-desktop-database

* Mon Mar 13 2006 Patrice Dumas <pertusus@free.fr> 2.0-2
- enable kde support

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 2.0-1
- Fedora Extras submission
